Subject: Re: [PATCH v3 1/5] l10n: add .gitattributes to simplify location filtering

From: Junio C Hamano <[email-masked]>
Date: Sun, 15 Mar 2026 09:11:19 -0700

Johannes Sixt <[email-masked]> writes:

>> +# Languages that strip both filenames and line numbers
>> +bg.po	filter=gettext-no-file-no-location
>> +de.po	filter=gettext-no-file-no-location
>> +#es.po	filter=gettext-no-file-no-location
>> +fr.po	filter=gettext-no-file-no-location
>> +#ga.po	filter=gettext-no-file-no-location
>> +#ru.po	filter=gettext-no-file-no-location
>> +sv.po	filter=gettext-no-file-no-location
>> +tr.po	filter=gettext-no-file-no-location
>> +uk.po	filter=gettext-no-file-no-location
>> +vi.po	filter=gettext-no-file-no-location
>> +
>> +# Languages that preserve filenames but strip line numbers
>> +#ca.po	filter=gettext-no-location
>> +id.po	filter=gettext-no-location
>> +zh_CN.po	filter=gettext-no-location
>> +zh_TW.po	filter=gettext-no-location
>
> How settled is the use of these two different filters (and names) in the
> community of translators? I am asking because I'm about to align the
> translation workflow in the Gitk repository with that in the Git
> repository. I need to know which of the two variants of filter names I
> should ask translators to use.

I too am curious.

I would imagine that the translation target langugae has nothing to
do with the choice, and it would be mere personal preference---in
which case it would be better if people can converge on a single
convention fast and stick to it.  After all, even if the current
French translators happen to prefer no-file no-location, for
example, existing translators would graduate the project and new
ones would come in, and their preference would change over time.

At least comments like "Languages that strip" is misleading, if this
is just "personal preferences of l10n groups of various languages".

Thanks.